Блог пользователя Evang

Автор Evang, история, 2 месяца назад, По-английски

Anyone find these numbers familiar?

Hint

Полный текст и комментарии »

  • Проголосовать: нравится
  • +97
  • Проголосовать: не нравится

Автор Evang, история, 2 года назад, По-английски

I'm currently looking for a CP partner, who is willing to grind usaco.guide's platinum module with me. I've already been grinding the platinum module for a while now, and I'm serious about it. My plan is to finish the module by May 1st.

Anyone up for it? DM me if so.

Note, you should be in USACO platinum and around at least expert on CF.

Полный текст и комментарии »

  • Проголосовать: нравится
  • +15
  • Проголосовать: не нравится

Автор Evang, история, 2 года назад, По-английски

Take a look at this submission in C++ 17: click here

Now take a look at this submission in C++ 20: click here

The only difference is the language version (C++ 17 vs C++ 20). Can MikeMirzayanov look into this? Mostly likely it's due to winlibs, but the compilation error is annoying nonetheless.

Полный текст и комментарии »

  • Проголосовать: нравится
  • +6
  • Проголосовать: не нравится

Автор Evang, история, 2 года назад, По-английски

Hello

For the past few days, I've been trying to solve this problem, but I still cannot come up with a solution that I can prove.

My only current candidate answer is that the longest common zigzag sequence is always in the longest common subsequence, but because there can be multiple longest common subsequences, I don't know which one to choose. Also, I don't even know if the longest common zigzag sequence is part of the longest common subsequence.

Can anyone help me with this problem? I cannot find any good explanations online.

Полный текст и комментарии »

  • Проголосовать: нравится
  • 0
  • Проголосовать: не нравится

Автор Evang, история, 3 года назад, По-английски

Hello Codeforces!

I've seen people using negative edges when creating a priority queue because writing a minimum is simply too tedious. And, I gotta say, I agree with them! Look at this code when you have to declare a min heap for a pair of ints:

priority_queue<pair<int, int>, vector<pair<int, int>>, greater<>> q;

That simply is too much to write! However, there is a simple solution. Just include this somewhere near the top of your code:

template<typename T>
using min_heap = priority_queue<T, vector<T>, greater<T>>;

Now you can declare a min heap of pairs of ints by writing:

min_heap<pair<int, int>> q;

To me, that is more clear and concise, and less to type! Are there any other reasons that some people might create a min heap by negating edge weights instead of writing that block of code at the top?

Полный текст и комментарии »

  • Проголосовать: нравится
  • +41
  • Проголосовать: не нравится